org.sonatype.plexus.components.sec.dispatcher.model

## Class SettingsSecurity

- java.lang.Object
- - org.sonatype.plexus.components.sec.dispatcher.model.SettingsSecurity

All Implemented Interfaces:
  Serializable

    public class SettingsSecurity
    extends Object
    implements Serializable

Class SettingsSecurity.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SettingsSecurity()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguration(Config config)` Method addConfiguration.
`List` `getConfigurations()` Method getConfigurations.
`String` `getMaster()` Get encrypted master password.
`String` `getModelEncoding()` Get the modelEncoding field.
`String` `getRelocation()` Get reference to the location of the security file.
`void` `removeConfiguration(Config config)` Method removeConfiguration.
`void` `setConfigurations(List configurations)` Set named configurations.
`void` `setMaster(String master)` Set encrypted master password.
`void` `setModelEncoding(String modelEncoding)` Set the modelEncoding field.
`void` `setRelocation(String relocation)` Set reference to the location of the security file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SettingsSecurity

    public SettingsSecurity()

### Method Detail

#### addConfiguration

    public void addConfiguration(Config config)

Method addConfiguration.

Parameters:
  `config` -

#### getConfigurations

    public List getConfigurations()

Method getConfigurations.

Returns:
  List

#### getMaster

    public String getMaster()

Get encrypted master password.

Returns:
  String

#### getModelEncoding

    public String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### getRelocation

    public String getRelocation()

Get reference to the location of the security file.

Returns:
  String

#### removeConfiguration

    public void removeConfiguration(Config config)

Method removeConfiguration.

Parameters:
  `config` -

#### setConfigurations

    public void setConfigurations(List configurations)

Set named configurations.

Parameters:
  `configurations` -

#### setMaster

    public void setMaster(String master)

Set encrypted master password.

Parameters:
  `master` -

#### setModelEncoding

    public void setModelEncoding(String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -

#### setRelocation

    public void setRelocation(String relocation)

Set reference to the location of the security file.

Parameters:
  `relocation` -